%define name e3
%define version 2.33
%define release 1mdk
Summary: E3 is a tiny editor, well suited for rescue disks.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Group: Editors 
URL: http://www.sax.de/~adlibit
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Provides: editor e3 e3-2.31
BuildRequires: nasm

%description
E3 is teeny tiny editor that doesn't depend on any libs.
e3 uses subset of wordstar|emacs|pico|vi|nedit commands.
Author: Albrecht Kleine  <kleine@ak.sax.de>

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%build
%make

%install
%makeinstall PREFIX="%{buildroot}/%{_usr}" install
install -d -m 0755 %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_mandir}/man1
cp %{_topdir}/BUILD/%{name}-%{version}/{README,ChangeLog,COP*,e3.html} %{buildroot}%{_docdir}/%{name}-%{version}/
cp %{_topdir}/BUILD/%{name}-%{version}/e3.man %{buildroot}%{_mandir}/man1/e3.1
bzip2 %{buildroot}%{_mandir}/man1/e3.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
for i in e3em e3ne e3pi e3vi e3ws; do 
  ln -s %{_bindir}/e3 %{_bindir}/$i
done

%files 
%defattr(-,root,root)
%{_bindir}/e3
%{_mandir}/man1/e3*.bz2
%doc README COPYRIGHT COPYING.GPL ChangeLog e3.html

%changelog
* Mon Apr 29 2002 chipaux <chipaux@mandrakesoft.com> 2.33-1mdk
- First Mandrake Release
